import { ColumnState } from '@ag-grid-community/core';
import { Session } from '@genesislcap/foundation-comms';
import type { StatePersistence } from './state-persistence';
/**
 * Implementation for the Local Storage State Persistence interface.
 * @public
 */
export declare class LocalStorageStatePersistence implements StatePersistence {
    session: Session;
    getColumnState(persistColumnStateKey: string): Promise<ColumnState[]>;
    saveColumnState(persistColumnStateKey: string, columnState: ColumnState[]): Promise<void>;
    getFilterModel(persistFilterModelKey: string): Promise<{
        [key: string]: any;
    }>;
    saveFilterModel(persistFilterModelKey: string, filterModel: {
        [key: string]: any;
    }): Promise<void>;
}
//# sourceMappingURL=local-state.d.ts.map